// abstract files
@import '../abstracts/_mixins.scss' ;
@import '../abstracts/_variables.scss' ;

// base files
@import '../base/_base.scss' ;

// component files
@import '../components/_profile_sidebar.scss' ;
@import '../components/_display_cart.scss' ;

// layout files
@import './_nav.scss' ;
@import './_header.scss' ;
@import './_footer.scss' ;

// pages 
@import '../pages/_home.scss' ;
@import '../pages/_product_archive.scss' ;
@import '../pages/_cart.scss' ;
@import '../pages/_cart_payment.scss' ;
@import '../pages/_contact.scss' ;
@import '../pages/_verification.scss' ;
@import '../pages/_profile_dashboard.scss' ;
@import '../pages/_profile_edit.scss' ;
@import '../pages/_profile_favorites.scss' ;
@import '../pages/_profile_orders.scss' ;
@import '../pages/_product.scss' ;
@import '../pages/_login.scss' ;
@import '../pages/_register.scss' ;


 @font-face {
    font-family:  iransans-fa;
    font-style: normal;
    font-weight: normal;
    src: url('../font/iransans-fa.eot');
    src: url('../font/iransans-fa.eot?#iefix') format('embedded-opentype'),  /* IE6-8 */
    url('../font/iransans-fa.woff') format('woff'),  /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
    url('../font/iransans-fa.ttf') format('truetype');
}
 @font-face {
    font-family: 'fontawesome';
    src: url('../font/fontawesome/webfonts/fa-light-300.ttf') format('truetype');
}
*{
    margin: 0;padding: 0
}


body{
    overflow-x: hidden ;
    float: right;
    width: 100%;
    height: 100%;
    font-family: iransans-fa;
    direction: rtl
}

 


    .swiper-container {
      width: 100%;
      height: 100%;
    }
    .swiper-slide {
      text-align: center;
      font-size: 18px;
      background: #fff;
      /* Center slide text vertically */
      display: -webkit-box;
      display: -ms-flexbox;
      display: -webkit-flex;
      display: flex;
      -webkit-box-pack: center;
      -ms-flex-pack: center;
      -webkit-justify-content: center;
      justify-content: center;
      -webkit-box-align: center;
      -ms-flex-align: center;
      -webkit-align-items: center;
      align-items: center;
    }
.swiper-button-next:focus, .swiper-button-prev:focus{
    outline: none
}

.page-overflow{
    position: fixed;
    top: 0;
    right: 0 ;
    background: #000 ;
    opacity: 0 ;
    pointer-events: none;
                    -o-transition: all 0.5s ;
            -moz-transition: all 0.5s ;
        -webkit-transition: all 0.5s ;
    transition: all 0.5s ;
    z-index: 991;
}
.page-overflow.is-active{
    opacity: 0.6;
}
.page-overflow.open{
    opacity: 0.6;
    z-index: 10000;
    pointer-events: initial
}
.big-slider .swiper-slide a{
    @include flex();
    height: 450px;
    width: 100% ;
    img{
        max-width: 100%;
        height: auto
    }
}
 
/* 
******* Header style 
*/


@media only screen and (min-width : 992px) and (max-width :1200px) {
    // header
    .header-content{width: 100%}
    .header-search form{width: auto}
    .header-logo{padding: 0}
    .header-holder{@include flex($direction:column);justify-content: space-between;flex-direction: column;flex-flow: row;flex-wrap: wrap;}
    .header-contact-user,.header-content-top,.basket-btn,.pre-factor-btn{display: none}
    .res-basket-btn,.res-user-btn, .navigation-btn,.res-invoice-btn{display: block;}
    .header-search {flex-grow: 1;padding-left: 30px;}
    .header-actions-area {margin-top: 8px;}
    .header-content-bottom{border-top: 1px solid map-get($gray-colors, "gray-300" );padding-top: 1rem;margin-top: 1rem;}
    .discount-sliders{ @include flex($direction:column,$content:space-between) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 47.8% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% ;margin-top: 0;}
    
    .new-articles .main-item{height: auto}
 
    // home
    .big-slider .swiper-button-next, .big-slider .swiper-button-prev{top: 0}
    .big-slider .swiper-container{margin-top: 20px;}
    .big-slider .swiper-button-next{right: auto  ;left: 50px}
    .big-slider .swiper-button-prev{right: auto ;left: 0px}


    // 
    // Components
    // 
    .display-cart-items{max-width: 100%;justify-content: space-between}
    
    .display-cart-item{max-width: 49%;margin-bottom: 1rem!important;}
    .display-cart-items .display-cart-item .display-cart-content{display: block;text-align: center;flex: 1;min-width: 0;
    }
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description,
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
    @include typography($align:right);padding-right: 1rem;}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description h3{white-space: nowrap;overflow: hidden;text-overflow: ellipsis;
    }
    .display-cart-items .display-cart-item{flex:0 0 48%}



    /* footer */
    .footer-sidebar { width: 250px}
    .footer-licenses-newsletter{width: 400px}
    .footer-bottom-holder{display: block;}
    .footer-bottom-right, .footer-bottom-left {float: right;width: 100%;}
    .footer-bottom-left {text-align: center;margin-top: 20px;}
    .footer-bottom-left a{display: inline-block ;margin: 0px 10px}
}
@media only screen and (min-width : 768px) and (max-width :992px) {
    // header
    .header-content{width: 100%}
    .header-search form{width: auto}
    .header-logo{padding: 0}
    .header-holder{@include flex($direction:column);justify-content: space-between;flex-direction: column;flex-flow: row;flex-wrap: wrap;}
    .header-contact-user,.header-content-top,.basket-btn,.pre-factor-btn{display: none}
    .res-basket-btn,.res-user-btn, .navigation-btn,.res-invoice-btn{display: block;}
    .header-search {flex-grow: 1;padding-left: 30px;}
    .header-actions-area {margin-top: 8px;}
    .header-content-bottom{border-top: 1px solid map-get($gray-colors, "gray-300" );padding-top: 1rem;margin-top: 1rem;}
    .discount-sliders{ @include flex($direction:column,$content:space-between) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 47.8% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% ;margin-top: 0;}


    //main nav
    .main-nav{display: none}

    // home
    .big-slider .swiper-button-next, .big-slider .swiper-button-prev{top: 0}
    .big-slider .swiper-container{margin-top: 20px;}
    .big-slider .swiper-button-next{right: auto  ;left: 50px}
    .big-slider .swiper-button-prev{right: auto ;left: 0px}


    // product archive
    .product-archive-page{margin-top: 0;}
    .product-archive-holder{flex-flow: row;flex-wrap: wrap}
    .product-archive-items,.product-archive-sidebar-holder {flex:0 0 100%}
    .product-archive-items .product-archive-item{flex: 0 0 48%}
    .product-archive-items .product-archive-item{height: 200px}
    .product-archive-items .product-archive-item a{flex-direction: row;justify-content: flex-start;align-items: stretch}
    .product-archive-items .product-archive-item a .img-holder { flex: 0 0 150px ;height: calc( 100% - 3rem);padding: 0 1rem}
    .product-archive-items .product-archive-item a .content{display: flex;flex-flow: row;flex-wrap: wrap;align-items: center;flex: 1}
    .product-archive-sidebar-holder,.product-archive-items .product-archive-items-filter{display: none;}
    .res-filter-sidebar{ @include flex($content:flex-start);margin-bottom: 3rem;}

    .discount-sliders{ @include flex($direction:column,$content:space-between) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 47.8% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% ;margin-top: 0;}
        .new-articles .main-item{
        height: auto
    }


    // contact
    .contact-form-holder{margin-bottom: 2rem;}
    .contact-form-holder .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .contact-form-holder .form-element span{margin-bottom: 0.5rem;}
    .contact-form-holder .form-element input, .contact-form-holder .form-element textarea, .contact-form-holder .form-element select,.contact-form-holder .form-element span{width: 100%;}
    .contact-form-holder .form-element button {margin-right: 0;}


    // cart
    .cart-items{overflow-x: scroll;justify-content: flex-start}
    .cart-item{flex: 0 0 1000px;max-width: 1000px}
    .cart-final-detail{@include flex($direction:column);flex-flow: row;flex-wrap: wrap}
    .cart-final-detail .cart-detail-item {flex:0 0 100%;flex-direction: initial;flex-flow: initial;flex-wrap: initial;margin-bottom: 1rem;}
    .cart-final-detail .cart-detail-item span{flex: 1!important}
    .cart-final-detail .cart-detail-item #key{margin-bottom: 0;}



    // cart payment
    .cart-payment-info .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .cart-payment-info .form-element span{margin-bottom: 0.5rem;}
    .cart-payment-info .form-element input, .cart-payment-info .form-element textarea, .cart-payment-info .form-element select,.contact-form-holder .form-element span{width: 100%;}
    .cart-payment-info{margin-bottom: 2rem;}

    // product
    .product-page .product-page-content,.product-tabs-content,.product-tc-item{flex-flow: row;flex-wrap: wrap}
    .product-page .product-page-content .product-img-holder,.product-detail-holder 
    ,.product-page .product-page-content .product-detail-holder .product-detail-item{flex:0 0 100%!important}
    .product-detail-holder{padding: 1rem 0 !important}
    .product-tabs-link{display: none;}
    .product-tc-item{display: flex!important ;overflow:hidden ;box-shadow:map-get($shadow, "medium" );margin-bottom: 2rem;
            border-radius: map-get($border-radius, "md" );padding: 0 1rem;height: 80px ;background-color:map-get($gray-colors, "white" )}
    .product-tabs-holder{background-color:transparent;margin-top: 0;}
    .product-tc-item-res{ flex:0 0 100%;display: flex;
            @include typography($size:18px,$weight:bold,$lineheight:80px);position: relative;height: 80px;padding: 0 1rem}
    .product-tc-item-res::before{content: '\f053';@include position($type:absolute,$top:0px,$left:20px);font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .product-tc-item.open .product-tc-item-res::before{@include css3-prefix(transform,rotate(-90deg))}
    .p-param-title{display: none;}
 
    .related-product-slider .swiper-button-next {right: auto!important; left: 35px!important;}
    .related-product-slider .swiper-button-next,.related-product-slider .swiper-button-prev { top: 25px !important; }
    .related-product-slider .swiper-button-prev { right: auto!important; left: -10px!important;}
    .related-product-slider-header a { background: #e74c3c; color: #fff; border-radius: 4px; padding: 0px 10px;
             line-height: 30px; margin-left: 90px;}
    .swiper-container.gallery-thumbs{display: none;}
    .swiper-container.gallery-top{width: 100%;padding: 0;margin: 0}
    .slider-modal {height: 70%;top: 15%}
    .slider-modal .swiper-button-next,.slider-modal .swiper-button-prev{background: none;position: absolute;top: auto;bottom: 60px}
    .slider-modal .swiper-button-next::before{content: '\f053' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-next{right:   calc(50% + 20px)}
    .slider-modal .swiper-button-prev::before{content: '\f054' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-prev{ right: calc(50% - 20px)}
.product-page .product-page-content .product-detail-holder .product-detail-item select{flex:0 0 200px}
    // 
    // Components
    // 
    .display-cart-items{max-width: 100%;}
    .display-cart-item{max-width: 100%!important}
    .display-cart-items .display-cart-item .display-cart-content{display: block;text-align: center;flex:1;min-width: 0;
    }
 
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description,
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
    @include typography($align:right);padding-right: 1rem;}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description h3{white-space: nowrap;overflow: hidden;text-overflow: ellipsis;
    }
    .display-cart-items .display-cart-item{flex:0 0 100%!important}

    /* home page */
 
     .big-slider .swiper-button-next, .big-slider .swiper-button-prev{top: 0}
    .big-slider .swiper-container{margin-top: 20px;}
    .big-slider .swiper-button-next{right: auto  ;left: 50px}
    .big-slider .swiper-button-prev{right: auto ;left: 0px}
    .qualification-item {width: 100%;margin-left: 0;height: 120px!important}
    /* footer */
    .footer-sidebar { width: 180px}
    .footer-licenses-newsletter{width: 300px}
    .footer-bottom-holder{display: block;}
    .footer-bottom-right, .footer-bottom-left {float: right;width: 100%;}
    .footer-bottom-left {text-align: center;margin-top: 20px;}
    .footer-bottom-left a{display: inline-block ;margin: 0px 10px}
}
@media only screen and (min-width : 600px) and (max-width :768px) {
    // header
    .header-content{width: 100%}
    .header-search form{width: auto}
    .header-logo{padding: 0}
    .header-holder{@include flex($direction:column);justify-content: space-between;flex-direction: column;flex-flow: row;flex-wrap: wrap;}
    .header-contact-user,.header-content-top,.basket-btn,.pre-factor-btn{display: none}
    .res-basket-btn,.res-user-btn, .navigation-btn,.res-invoice-btn{display: block;}
    .header-search {flex-grow: 1;padding-left: 30px;}
    .header-actions-area {margin-top: 8px;}
    .header-content-bottom{border-top: 1px solid map-get($gray-colors, "gray-300" );padding-top: 1rem;margin-top: 1rem;}
    .discount-sliders{ @include flex($direction:column,$content:space-between) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 47.8% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% ;margin-top: 0;}


    //main nav
    .main-nav{display: none}


    // home
    .big-slider .swiper-button-next, .big-slider .swiper-button-prev{top: 0}
    .big-slider .swiper-container{margin-top: 20px;}
    .big-slider .swiper-button-next{right: auto  ;left: 50px}
    .big-slider .swiper-button-prev{right: auto ;left: 0px}


    // product archive
    .product-archive-page{margin-top: 0;}
    .product-archive-holder{flex-flow: row;flex-wrap: wrap}
    .product-archive-items,.product-archive-sidebar-holder ,.product-archive-items .product-archive-item{flex:0 0 100%}
    .product-archive-items .product-archive-item{height: 200px}
    .product-archive-items .product-archive-item a{flex-direction: row;justify-content: flex-start;align-items: stretch}
    .product-archive-items .product-archive-item a .img-holder { flex: 0 0 150px ;height: calc( 100% - 3rem);padding: 0 1rem}
    .product-archive-items .product-archive-item a .content{display: flex;flex-flow: row;flex-wrap: wrap;align-items: center;flex: 1}
    .product-archive-sidebar-holder,.product-archive-items .product-archive-items-filter{display: none;}
    .res-filter-sidebar{ @include flex($content:flex-start);margin-bottom: 3rem;}
 
    .discount-sliders{ @include flex($direction:column) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 100% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% }
        .new-articles .main-item{
        height: auto
    }

    // contact
    .contact-form-holder{margin-bottom: 2rem;}
    .contact-form-holder .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .contact-form-holder .form-element span{margin-bottom: 0.5rem;}
    .contact-form-holder .form-element input, .contact-form-holder .form-element textarea, .contact-form-holder .form-element select,.contact-form-holder .form-element span{width: 100%;}
    .contact-form-holder .form-element button {margin-right: 0;}


    // cart
    .cart-items{overflow-x: scroll;justify-content: flex-start}
    .cart-item{flex: 0 0 1000px;max-width: 1000px}
    .cart-page-navigation .cart-page-navigation-item.active-now::before{display: none;}
    .cart-final-detail{@include flex($direction:column);flex-flow: row;flex-wrap: wrap}
    .cart-final-detail .cart-detail-item {flex:0 0 100%;flex-direction: initial;flex-flow: initial;flex-wrap: initial;margin-bottom: 1rem;}
    .cart-final-detail .cart-detail-item span{flex: 1!important}
    .cart-final-detail .cart-detail-item #key{margin-bottom: 0;}


    // cart payment
    .cart-payment-info{margin-bottom: 2rem;}
    .cart-payment-info .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .cart-payment-info .form-element span{margin-bottom: 0.5rem;}
    .cart-payment-info .form-element input, .cart-payment-info .form-element textarea, .cart-payment-info .form-element select,.contact-form-holder .form-element span{width: 100%;}
 
    // product
    .product-page .product-page-content,.product-tabs-content,.product-tc-item{flex-flow: row;flex-wrap: wrap}
    .product-page .product-page-content .product-img-holder,.product-detail-holder 
    ,.product-page .product-page-content .product-detail-holder .product-detail-item{flex:0 0 100%!important}
    .product-detail-holder{padding: 1rem 0 !important}
    .product-tabs-link{display: none;}
    .product-tc-item{display: flex!important ;overflow:hidden ;box-shadow:map-get($shadow, "medium" );margin-bottom: 2rem;
            border-radius: map-get($border-radius, "md" );padding: 0 1rem;height: 80px ;background-color:map-get($gray-colors, "white" )}
    .product-tabs-holder{background-color:transparent;margin-top: 0;}
    .product-tc-item-res{ flex:0 0 100%;display: flex;
            @include typography($size:18px,$weight:bold,$lineheight:80px);position: relative;height: 80px;padding: 0 1rem}
    .product-tc-item-res::before{content: '\f053';@include position($type:absolute,$top:0px,$left:20px);font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .product-tc-item.open .product-tc-item-res::before{@include css3-prefix(transform,rotate(-90deg))}
    .p-param-title{display: none;}
 
    .related-product-slider .swiper-button-next {right: auto!important; left: 35px!important;}
    .related-product-slider .swiper-button-next,.related-product-slider .swiper-button-prev { top: 25px !important; }
    .related-product-slider .swiper-button-prev { right: auto!important; left: -10px!important;}
    .related-product-slider-header a { background: #e74c3c; color: #fff; border-radius: 4px; padding: 0px 10px;
             line-height: 30px; margin-left: 90px;}
    .swiper-container.gallery-thumbs{display: none;}
    .swiper-container.gallery-top{width: 100%;padding: 0;margin: 0}
    .slider-modal {height: 70%;top: 15%}
    .slider-modal .swiper-button-next,.slider-modal .swiper-button-prev{background: none;position: absolute;top: auto;bottom: 60px}
    .slider-modal .swiper-button-next::before{content: '\f053' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-next{right:   calc(50% + 20px)}
    .slider-modal .swiper-button-prev::before{content: '\f054' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-prev{ right: calc(50% - 20px)}

    // 
    // Components
    // 
    .display-cart-items,.display-cart-item{max-width: 100%!important}
    .display-cart-items .display-cart-item .display-cart-content{display: block;text-align: center;flex: 0 0 calc(100% - 5rem);min-width: 0;
    }
    .display-cart-items.favorite .display-cart-item .display-cart-content{flex: 0 0 calc(100% - 8rem)}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description,
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
    @include typography($align:right);padding-right: 1rem;}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description h3{white-space: nowrap;overflow: hidden;text-overflow: ellipsis;
    }
    .display-cart-items .display-cart-item{flex:0 0 100%!important}

    // register ... login
    .register-page-content{flex: 0 0 90%}

    /* footer */
    .footer-sidebar { width: 50% ;padding-left: 30px;margin-bottom: 30px;}
    .footer-licenses-newsletter{width: 100%}
    .footer-bottom-holder{display: block;}
    .footer-bottom-right, .footer-bottom-left {float: right;width: 100%;}
    .footer-bottom-left {text-align: center;margin-top: 20px;}
    .footer-bottom-left a{display: inline-block ;margin: 0px 10px}
}
@media only screen and (min-width : 478px) and (max-width :600px) {
    // header
    .header-content{width: 100%}
    .header-search form{width: auto}
    .header-logo{padding: 0}
    .header-holder{@include flex($direction:column);justify-content: space-between;flex-direction: column;flex-flow: row;flex-wrap: wrap;}
    .header-contact-user,.header-content-top,.basket-btn,.pre-factor-btn{display: none}
    .res-basket-btn,.res-user-btn, .navigation-btn,.res-invoice-btn{display: block;}
    .header-search {flex-grow: 1;padding-left: 30px;}
    .header-actions-area {margin-top: 8px;}
    .header-content-bottom{border-top: 1px solid map-get($gray-colors, "gray-300" );padding-top: 1rem;margin-top: 1rem;}
    .discount-sliders{ @include flex($direction:column,$content:space-between) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 47.8% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% ;margin-top: 0;}

    .discount-sliders{ @include flex($direction:column) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 100% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% }
        .new-articles .main-item{
        height: auto
    }
    .main-nav{display: none}
    

    /* home page */
    .main-slider .swiper-button-next, .main-slider .swiper-button-prev{top: 25px!important}
    .main-slider .swiper-button-next {right: auto  ;left: 60px}
    .main-slider .swiper-button-prev{right: auto ;left: 15px}
    .main-slider-header a{background: #e74c3c;color: #fff;border-radius: 4px;padding: 0px 10px;line-height: 30px;margin-left: 90px;}
    .big-slider .swiper-button-next, .big-slider .swiper-button-prev{top: 0}
    .big-slider .swiper-container{margin-top: 20px;}
    .big-slider .swiper-button-next{right: auto  ;left: 50px}
    .big-slider .swiper-button-prev{right: auto ;left: 0px}
    .qualifications .row{margin:0!important}

    // product archive
    .product-archive-page{margin-top: 0;}
    .product-archive-holder{flex-flow: row;flex-wrap: wrap}
    .product-archive-items,.product-archive-sidebar-holder ,.product-archive-items .product-archive-item{flex:0 0 100%}
    .product-archive-items .product-archive-item{height: 200px}
    .product-archive-items .product-archive-item a{flex-direction: row;justify-content: flex-start;align-items: stretch}
    .product-archive-items .product-archive-item a .img-holder { flex: 0 0 150px ;height: calc( 100% - 3rem);padding: 0 1rem}
    .product-archive-items .product-archive-item a .content{display: flex;flex-flow: row;flex-wrap: wrap;align-items: center;flex: 1}
    .product-archive-sidebar-holder,.product-archive-items .product-archive-items-filter{display: none;}
    .res-filter-sidebar{ @include flex($content:flex-start);margin-bottom: 3rem;}

    // profile edit
    .profile-edit .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .profile-edit .form-element span{margin-bottom: 0.5rem;}
    .profile-edit .form-element input, .profile-edit .form-element textarea, .profile-edit .form-element select,.profile-edit .form-element span{width: 100%;}
    .profile-edit-btn span{margin-right: 0;}


    // contact
    .contact-form-holder{margin-bottom: 2rem;}
    .contact-form-holder .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .contact-form-holder .form-element span{margin-bottom: 0.5rem;}
    .contact-form-holder .form-element input, .contact-form-holder .form-element textarea, .contact-form-holder .form-element select,.contact-form-holder .form-element span{width: 100%;}
    .contact-form-holder .form-element button {margin-right: 0;}



    // cart
    .cart-items{overflow-x: scroll;justify-content: flex-start}
    .cart-item{flex: 0 0 1000px;max-width: 1000px}
    .cart-page-navigation .cart-page-navigation-item.active-now::before{display: none;}
    .cart-final-detail{@include flex($direction:column);flex-flow: row;flex-wrap: wrap}
    .cart-final-detail .cart-detail-item {flex:0 0 100%;flex-direction: initial;flex-flow: initial;flex-wrap: initial;margin-bottom: 1rem;}
    .cart-final-detail .cart-detail-item span{flex: 1!important}
    .cart-final-detail .cart-detail-item #key{margin-bottom: 0;}

    // cart payment
    .cart-payment-info{margin-bottom: 2rem;}
    .cart-payment-info .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .cart-payment-info .form-element span{margin-bottom: 0.5rem;}
    .cart-payment-info .form-element input, .cart-payment-info .form-element textarea, .cart-payment-info .form-element select,.contact-form-holder .form-element span{width: 100%;}
 


    // product
    .product-page .product-page-content,.product-tabs-content,.product-tc-item{flex-flow: row;flex-wrap: wrap}
    .product-page .product-page-content .product-img-holder,.product-detail-holder 
    ,.product-page .product-page-content .product-detail-holder .product-detail-item{flex:0 0 100%!important}
    .product-detail-holder{padding: 1rem 0 !important}
    .product-tabs-link{display: none;}
    .product-tc-item{display: flex!important ;overflow:hidden ;box-shadow:map-get($shadow, "medium" );margin-bottom: 2rem;
            border-radius: map-get($border-radius, "md" );padding: 0 1rem;height: 80px ;background-color:map-get($gray-colors, "white" )}
    .product-tabs-holder{background-color:transparent;margin-top: 0;}
    .product-tc-item-res{ flex:0 0 100%;display: flex;
            @include typography($size:18px,$weight:bold,$lineheight:80px);position: relative;height: 80px;padding: 0 1rem}
    .product-tc-item-res::before{content: '\f053';@include position($type:absolute,$top:0px,$left:20px);font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .product-tc-item.open .product-tc-item-res::before{@include css3-prefix(transform,rotate(-90deg))}
    .p-param-title{display: none;}
 
    .related-product-slider .swiper-button-next {right: auto!important; left: 35px!important;}
    .related-product-slider .swiper-button-next,.related-product-slider .swiper-button-prev { top: 25px !important; }
    .related-product-slider .swiper-button-prev { right: auto!important; left: -10px!important;}
    .related-product-slider-header a { background: #e74c3c; color: #fff; border-radius: 4px; padding: 0px 10px;
             line-height: 30px; margin-left: 90px;}
    .swiper-container.gallery-thumbs{display: none;}
    .swiper-container.gallery-top{width: 100%;padding: 0;margin: 0}
    .slider-modal {height: 70%;top: 15%}
    .slider-modal .swiper-button-next,.slider-modal .swiper-button-prev{background: none;position: absolute;top: auto;bottom: 60px}
    .slider-modal .swiper-button-next::before{content: '\f053' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-next{right:   calc(50% + 20px)}
    .slider-modal .swiper-button-prev::before{content: '\f054' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-prev{ right: calc(50% - 20px)}

    // 
    // Components
    // 
    .display-cart-items,.display-cart-item{max-width: 100%!important}
    .display-cart-items .display-cart-item .display-cart-content{display: block;text-align: center;flex: 0 0 calc(100% - 5rem);min-width: 0;
    }
    .display-cart-items.favorite .display-cart-item .display-cart-content{flex: 0 0 calc(100% - 8rem)}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description,
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
    @include typography($align:right);padding-right: 1rem;}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description h3{white-space: nowrap;overflow: hidden;text-overflow: ellipsis;
    }
    .display-cart-items .display-cart-item{flex:0 0 100%!important}

    // register ... login
    .register-page-content{flex: 0 0 90%}
    .login-page-content ,.register-page-content .form-element{flex: 0 0 100%!important}
    .login-page-holder{padding: 10px}




    /* footer */
    .footer-sidebar { width: 50% ;padding-left: 30px;margin-bottom: 30px;}
    .footer-licenses-newsletter{width: 100%}
    .footer-bottom-holder{display: block;}
    .footer-bottom-right, .footer-bottom-left {float: right;width: 100%;}
    .footer-bottom-left {text-align: center;margin-top: 20px;}
    .footer-bottom-left a{display: inline-block ;margin: 0px 10px}
}
@media only screen and (min-width : 200px) and (max-width :478px) {
    // header
    .header-content{width: 100%}
    .header-search form{width: auto}
    .header-logo{padding: 0}
    .header-holder{@include flex($direction:column);justify-content: space-between;flex-direction: column;flex-flow: row;flex-wrap: wrap;}
    .header-contact-user,.header-content-top,.basket-btn,.pre-factor-btn{display: none}
    .res-basket-btn,.res-user-btn, .navigation-btn,.res-invoice-btn{display: block;}
    .header-search {flex-grow: 1;padding-left: 30px;}
    .header-actions-area {margin-top: 8px;}
    .header-content-bottom{border-top: 1px solid map-get($gray-colors, "gray-300" );padding-top: 1rem;margin-top: 1rem;}
    .discount-sliders{ @include flex($direction:column,$content:space-between) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 47.8% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% ;margin-top: 0;}


    //main nav
    .main-nav{display: none}


    // product archive
    .product-archive-page{margin-top: 0;}
    .product-archive-holder{flex-flow: row;flex-wrap: wrap}
    .product-archive-items,.product-archive-sidebar-holder ,.product-archive-items .product-archive-item{flex:0 0 100%}
    .product-archive-items .product-archive-item{height: 200px}
    .product-archive-items .product-archive-item a{flex-direction: row;justify-content: flex-start;align-items: stretch}
    .product-archive-items .product-archive-item a .img-holder { flex: 0 0 150px ;height: calc( 100% - 3rem);padding: 0 1rem}
    .product-archive-items .product-archive-item a .content{display: flex;flex-flow: row;flex-wrap: wrap;align-items: center;flex: 1}
    .product-archive-sidebar-holder,.product-archive-items .product-archive-items-filter{display: none;}
    .res-filter-sidebar{ @include flex($content:flex-start);margin-bottom: 3rem;}

    .discount-sliders{ @include flex($direction:column) ;flex-flow: row;flex-wrap: wrap;}
    .discount-slider {flex: 0 0 100% ;margin: 0px ;margin-bottom: 30px;}
    .pre-factor-banner{flex: 0 0 100% }
    .new-articles .main-item{height: auto}

    /* home page */
    .main-slider .swiper-button-next, .main-slider .swiper-button-prev{top: 25px!important}
    .main-slider .swiper-button-next {right: auto  ;left: 60px}
    .main-slider .swiper-button-prev{right: auto ;left: 15px}
    .main-slider-header a{background: #e74c3c;color: #fff;border-radius: 4px;padding: 0px 10px;line-height: 30px;margin-left: 90px;}
    .big-slider .swiper-button-next, .big-slider .swiper-button-prev{top: 0}
    .big-slider .swiper-container{margin-top: 20px;}
    .big-slider .swiper-button-next{right: auto  ;left: 50px}
    .big-slider .swiper-button-prev{right: auto ;left: 0px}
    .qualifications .row{margin:0!important}
    .qualification-item {width: 100%;margin-left: 0;height: 120px!important}
    
    // profile edit
    .profile-edit .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .profile-edit .form-element span{margin-bottom: 0.5rem;}
    .profile-edit .form-element input, .profile-edit .form-element textarea, .profile-edit .form-element select,.profile-edit .form-element span{width: 100%;}
    .profile-edit-btn span{margin-right: 0;}

    // contact
    .contact-form-holder{margin-bottom: 2rem;}
    .contact-form-holder .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .contact-form-holder .form-element span{margin-bottom: 0.5rem;}
    .contact-form-holder .form-element input, .contact-form-holder .form-element textarea, .contact-form-holder .form-element select,.contact-form-holder .form-element span{width: 100%;}
    .contact-form-holder .form-element button {margin-right: 0;}
    // cart
    .cart-items{overflow-x: scroll;justify-content: flex-start}
    .cart-item{flex: 0 0 1000px;max-width: 1000px}
    .cart-page-navigation .cart-page-navigation-item.active-now::before{display: none;}
    .cart-final-detail{@include flex($direction:column);flex-flow: row;flex-wrap: wrap}
    .cart-final-detail .cart-detail-item {flex:0 0 100%;flex-direction: initial;flex-flow: initial;flex-wrap: initial;margin-bottom: 1rem;}
    .cart-final-detail .cart-detail-item span{flex: 1!important}
    .cart-final-detail .cart-detail-item #key{margin-bottom: 0;}

    // cart payment
    .cart-payment-info{margin-bottom: 2rem;}
    .cart-payment-info .form-element{flex-direction: column;flex-flow: row;flex-wrap: wrap}
    .cart-payment-info .form-element span{margin-bottom: 0.5rem;}
    .cart-payment-info .form-element input, .cart-payment-info .form-element textarea, .cart-payment-info .form-element select,.contact-form-holder .form-element span{width: 100%;}
 
    // product
    .product-page .product-page-content,.product-tabs-content,.product-tc-item{flex-flow: row;flex-wrap: wrap}
    .product-page .product-page-content .product-img-holder,.product-detail-holder 
    ,.product-page .product-page-content .product-detail-holder .product-detail-item{flex:0 0 100%!important}
    .product-detail-holder{padding: 1rem 0 !important}
    .product-tabs-link{display: none;}
    .product-tc-item{display: flex!important ;overflow:hidden ;box-shadow:map-get($shadow, "medium" );margin-bottom: 2rem;
            border-radius: map-get($border-radius, "md" );padding: 0 1rem;height: 80px ;background-color:map-get($gray-colors, "white" )}
    .product-tabs-holder{background-color:transparent;margin-top: 0;}
    .product-tc-item-res{ flex:0 0 100%;display: flex;
            @include typography($size:18px,$weight:bold,$lineheight:80px);position: relative;height: 80px;padding: 0 1rem}
    .product-tc-item-res::before{content: '\f053';@include position($type:absolute,$top:0px,$left:20px);font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .product-tc-item.open .product-tc-item-res::before{@include css3-prefix(transform,rotate(-90deg))}
    .p-param-title{display: none;}
 
    .related-product-slider .swiper-button-next {right: auto!important; left: 35px!important;}
    .related-product-slider .swiper-button-next,.related-product-slider .swiper-button-prev { top: 25px !important; }
    .related-product-slider .swiper-button-prev { right: auto!important; left: -10px!important;}
    .related-product-slider-header a { background: #e74c3c; color: #fff; border-radius: 4px; padding: 0px 10px;
             line-height: 30px; margin-left: 90px;}
    .swiper-container.gallery-thumbs{display: none;}
    .swiper-container.gallery-top{width: 100%;padding: 0;margin: 0}
    .slider-modal {height: 70%;top: 15%}
    .slider-modal .swiper-button-next,.slider-modal .swiper-button-prev{background: none;position: absolute;top: auto;bottom: 60px}
    .slider-modal .swiper-button-next::before{content: '\f053' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-next{right:   calc(50% + 20px)}
    .slider-modal .swiper-button-prev::before{content: '\f054' ;font-family: fontawesome;
            font-size: 25px;font-weight: lighter;}
    .slider-modal .swiper-button-prev{ right: calc(50% - 20px)}
    // 
    // Components
    // 
    .display-cart-items,.display-cart-item{max-width: 100%!important}
    .display-cart-items .display-cart-item .display-cart-content{display: block;text-align: center;flex: 0 0 calc(100% - 5rem);min-width: 0;
    }
    .display-cart-items.favorite .display-cart-item .display-cart-content{flex: 0 0 calc(100% - 8rem)}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description,
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-price{display: inline-block;width: 100%;
    @include typography($align:right);padding-right: 1rem;}
    .display-cart-items .display-cart-item .display-cart-content .display-cart-item-description h3{white-space: nowrap;overflow: hidden;text-overflow: ellipsis;
    }
    .display-cart-items .display-cart-item{flex:0 0 100%}
    .profile-last-order .profile-last-order-detail div{flex: 0 0 100%!important}
    // register ... login
    .register-page-content{flex: 0 0 90%}
    .login-page-content ,.register-page-content .form-element{flex: 0 0 100%!important}
    .login-page-holder{padding: 10px}
    .login-page-footer{@include typography($size:14px,$align:center)}
    /* footer */
    .footer-sidebar { width: 100% ;padding-left: 30px;margin-bottom: 30px;}
    .footer-licenses-newsletter{width: 100%}
    .footer-bottom-holder{display: block ;}
    .footer-bottom-right, .footer-bottom-left {float: right;width: 100%;}
    .footer-bottom-left {text-align: center;margin-top: 20px;}
    .footer-bottom-left a{display: inline-block ;margin: 0px 10px}
}
 .container{
     max-width: 1250px
 }

.back-to-top{
    @include position($type:fixed,$bottom:-100px,$right:50px) ;
    width: 60px;
    height: 60px;
    border-radius: 100%;
    @include flex() ;
    background-color: map-get($gray-colors, "gray-300" ) ;
    border: 2px solid map-get($gray-colors, "white" ) ;
    box-shadow: map-get($shadow, "medium" );
    @include css3-prefix(transition,all 0.5s) ;
    z-index: 1000;
    cursor: pointer;
    &.active{
        bottom: 100px;
    }
    &:hover{
        background-color: map-get($gray-colors, "gray-400" ) ;
    }
    i{
        @include typography($size:25px)
    }
}